%define name	vsound
%define version	0.6
%define release	2mdk

Summary:	Virtual loopback cable for audio
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
URL:		http://www.zorg.org/vsound/index.shtml
Source:		http://www.zorg.org/vsound/%{name}-%{version}.tar.bz2
Requires:	sox
Buildrequires:	sox
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
VSound is sort of like a 'virtual audio loopback cable'. That is, it allows
you to record the output audio stream of a program (similar to connecting a
loopback cable to the line in and line out jacks on the sound card, and
recording the sound from the line in jack, but without the DA/AD conversion
losses). One possible use for this application is as part of a RealAudio to
WAV file converter.

%prep

%setup -q -n %{name}-%{version}

%build

./configure \
    --prefix=%{_prefix} \
    --bindir=%{_bindir} \
    --libdir=%{_libdir} \
    --disable-static \
    --enable-shared

make CFLAGS="%{optflags} -fPIC"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}

%makeinstall

# nuke the dev files
rm -f %{buildroot}%{_libdir}/vsound/*.la
rm -f %{buildroot}%{_libdir}/vsound/*.a

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README*
%{_bindir}/*
%{_libdir}/vsound

%changelog
* Tue Feb 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.6-2mdk
- make it work

* Mon Dec 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6-1mdk
- 0.6

* Tue Dec 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5-5mdk
- requires sox (Bug 6079)
- fix changelog

* Thu Jan 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5-4mdk
- rebuild

* Thu Jun 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-3mdk
- buildrequires on sox

* Thu Sep 06 2001 Etienne Faure <etienne@mandrakesoft.com> 0.5-2mdk
- rebuild

* Thu Feb 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- updated 0.5

* Mon Dec 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4-1mdk
- new in contribs
- used srpm from rufus t firefly <rufus.t.firefly@linux-mandrake.com> :
   - v0.4-1mdk (initial packaging)
